Skip to main content
GET
/
v2
/
notes
/
{noteId}
Get a single Note
curl --request GET \
  --url https://api.affinity.co/v2/notes/{noteId} \
  --header 'Authorization: Bearer <token>'
{ "id": 1, "type": "ai-notetaker", "content": { "html": "<p> This is an AI Notetaker note! </p>" }, "creator": { "id": 1, "firstName": "Jane", "lastName": "Doe", "primaryEmailAddress": "jane.doe@acme.co", "type": "internal" }, "transcriptId": 1, "mentions": [], "createdAt": "2023-01-01T00:00:00Z", "updatedAt": "2023-01-21T00:00:00Z" }

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

noteId
integer<int32>
required

The id of the Note

Required range: 1 <= x <= 2147483647

Query Parameters

includes
enum<string>[]

Additional properties to include in the response

Available options:
companiesPreview,
personsPreview,
opportunitiesPreview,
repliesCount

Response

OK

A Note object attached to an entity (Person, Company, Opportunity)

id
integer<int32>
required

The id of the note

Required range: 1 <= x <= 2147483647
content
notes.Content · object
required

A note content

creator
PersonData · object
required
mentions
notes.Mention · object[]
required

The mentions in the note

Maximum array length: 100
createdAt
string<date-time>
required

The date and time the note was created

updatedAt
string<date-time> | null
required

The date and time the note was last updated

type
string
required

The type of the note

Allowed value: "entities"
repliesCount
integer<int32>

The number of replies to this note. This is only included if the repliesCount parameter is passed in the includes in the request and the note is not a reply itself.

Required range: 0 <= x <= 2147483647
permissions
notes.PermissionSettings · object

The permission settings of a note

opportunitiesPreview
notes.OpportunitiesPreview · object

A preview for Opportunities directly attached to the Note

personsPreview
notes.PersonsPreview · object

A preview for Persons directly attached to the Note

companiesPreview
notes.CompaniesPreview · object

A preview for Companies directly attached to the Note